# Configure a default setup of Home Assistant (frontend, api, etc)
default_config:

# Enable SSL/TLS
http:
  server_port: 443
  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem

# Text to speech
tts:
  - platform: picotts_remote
    language: "de-DE"
  - platform: google_translate
    language: "de"

# Include modules
group: !include groups.yaml
automation: !include automations.yaml
automation webhooks: !include automations_webhooks.yaml
script: !include scripts.yaml
scene: !include scenes.yaml

# Enable additional integrations
# Enable 'wake_on_lan' intrgration
wake_on_lan:

# Enable customizations
homeassistant:
  customize: !include customize.yaml

# Additional sensors
sensor: !include sensors.yaml
command_line: !include commandline.yaml
utility_meter: !include utility_meters.yaml

# MQTT sensors
mqtt:	!include mqtt.yaml

# Template sensors
template: !include template.yaml

# calendar integration
calendar: !include calendars.yaml
ics_calendar: !include ics_calendars.yaml

# DB-recorder configuration
recorder: !include recorder.yaml

# Enable Bluetooth
bluetooth:

# Bluetooth Low Energy tracker
device_tracker:
  - platform: bluetooth_le_tracker
    track_new_devices: true

generic_hygrostat:
  - name: Badezimmer
    unique_id: '3728344225387'
    humidifier: fan.badezimmer_ventilator
    target_sensor: sensor.bathroom_badezimmer_luftfeuchtigkeit
    min_humidity: 30
    max_humidity: 70
    target_humidity: 50
    dry_tolerance: 3
    wet_tolerance: 3
    device_class: "dehumidifier"
    min_cycle_duration:
      seconds: 60
#    keep_alive:
#      minutes: 3
    initial_state: true
    away_humidity: 60
    away_fixed: true
    sensor_stale_duration: 00:15:00

